GNU bug report logs - #33753
[PATCH 1/3] gnu: Add stumpwm-contrib.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Nam Nguyen <namn@HIDDEN>; Keywords: patch; dated Sat, 15 Dec 2018 02:07:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 27 Dec 2018 10:51:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 27 05:51:57 2018
Received: from localhost ([127.0.0.1]:38212 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gcTGf-0000HM-Jz
	for submit <at> debbugs.gnu.org; Thu, 27 Dec 2018 05:51:57 -0500
Received: from relay12.mail.gandi.net ([217.70.178.232]:42089)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gcTGd-0000HE-RJ
 for 33753 <at> debbugs.gnu.org; Thu, 27 Dec 2018 05:51:56 -0500
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id 1912F20000F;
 Thu, 27 Dec 2018 10:51:53 +0000 (UTC)
References: <20181215020600.2713-1-namn@HIDDEN>
 <20181215025031.GA2694@antelope> <87efaaolla.fsf@HIDDEN>
 <87d0pulp5m.fsf@HIDDEN> <875zvlv8r1.fsf@HIDDEN>
 <20181224100129.GA17168@antelope> <87y38fi64j.fsf@HIDDEN>
 <20181225090121.GA18066@antelope>
User-agent: mu4e 1.0; emacs 26.1
From: Pierre Neidhardt <mail@HIDDEN>
To: Nam Nguyen <namn@HIDDEN>
Subject: Re: [bug#33753] stumpwm-contrib
In-reply-to: <20181225090121.GA18066@antelope>
Date: Thu, 27 Dec 2018 11:51:53 +0100
Message-ID: <87y38bgs3a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33753
Cc: 33753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

OK, thanks for the details.  I'll look into this later.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAlwkrskACgkQm9z0l6S7
zH8weAgAlOAFAWW8WePk0I0tTDAYxGRtZp4d1niQC/Oed4OehtfjwAK+oXr0Wmrj
g0MSpTPMbpJuDy3aK1snF5creDJcjr7/1F+nCO0xWHWCobQg5jy4YYsVG//UCgtL
gBSI21g2/fgfeJpybsIxLh6Eqi2w+IB2a7IWo4Kgj6ZCRW20cfquYGetcciRCTPA
H8SybNtJb2p+w3EFU9GHzSnVOLjVUPP3rZIMnJzOHQdNYeI11yj1X+FptenKsg8O
cUv9wftc801LLmmzsBX7Jm6fxo2Cyx6vzLnQWe3Gasz0uzY4gqX7G9eBYKWn09cu
hySBCU1fxDxcen+BwENhFEuow3YRHA==
=fClx
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 26 Dec 2018 07:13:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 26 02:13:45 2018
Received: from localhost ([127.0.0.1]:36566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gc3Nw-0002DF-Qa
	for submit <at> debbugs.gnu.org; Wed, 26 Dec 2018 02:13:45 -0500
Received: from mail-ed1-f68.google.com ([209.85.208.68]:44832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <namluunguyen@HIDDEN>) id 1gc3Nv-0002Cy-9B
 for 33753 <at> debbugs.gnu.org; Wed, 26 Dec 2018 02:13:43 -0500
Received: by mail-ed1-f68.google.com with SMTP id y56so12610331edd.11
 for <33753 <at> debbugs.gnu.org>; Tue, 25 Dec 2018 23:13:43 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:subject:message-id:references
 :mime-version:content-disposition:in-reply-to:user-agent;
 bh=uU/S7ktqpt9X05eJ5OKjhsuzp/cu31D0JgACuHM4ZWM=;
 b=EGw30KHHeMru07iemjqY0S+yBuGoCaLd07ozLIU2NTmD+tdRyZv1w1bdS2AdGV1oI2
 V4eqEchNZG5huz87G3ix8C81e1J/gBG3qDpNDHjm1H7R0S/OFtMaM5sGIZx8+3mTluh0
 2CkZeq9VANRC2FD+gjv36VKVpJHX06KRW/W2uAOmcddlTeuSeAscFErEk7ZHWkjckhZD
 0nLA6vmbVy5OcpgnDzO+Opt3QqHZcUaD7Ci5FKFec2Xz4DOZeRckWcMgweBjbNdh2yAM
 uznosdfkifEZG/9bKadMWh8PLTmWxL1a07i5H3uk7iCTZz8yPdKwn6XzZ1GsBps9FGU8
 +b4g==
X-Gm-Message-State: AA+aEWaRU26+dpGVS/B7L0GrvRjeMHuehhi4DSe+qEokf8yj2CncgHHP
 wjamivKUnhL8NUmSLeT0AC59gJYR
X-Google-Smtp-Source: AFSGD/UYKv9jRJgh45UzUlZapLEkCB0s4wgXV2QtVQu/jlzFF/FtKtpfCdMt/gvzQVLG76a776nBuw==
X-Received: by 2002:a05:6402:13d6:: with SMTP id
 a22mr14259185edx.39.1545808417363; 
 Tue, 25 Dec 2018 23:13:37 -0800 (PST)
Received: from antelope ([24.5.139.14])
 by smtp.gmail.com with ESMTPSA id t26sm10377714eda.22.2018.12.25.23.13.35
 for <33753 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 25 Dec 2018 23:13:36 -0800 (PST)
Date: Tue, 25 Dec 2018 23:13:21 -0800
From: Nam Nguyen <namn@HIDDEN>
To: 33753 <at> debbugs.gnu.org
Subject: Re: [bug#33753] stumpwm-contrib
Message-ID: <20181226071321.GA28866@antelope>
References: <20181215020600.2713-1-namn@HIDDEN>
 <20181215025031.GA2694@antelope> <87efaaolla.fsf@HIDDEN>
 <87d0pulp5m.fsf@HIDDEN> <875zvlv8r1.fsf@HIDDEN>
 <20181224100129.GA17168@antelope> <87y38fi64j.fsf@HIDDEN>
 <20181225090121.GA18066@antelope>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20181225090121.GA18066@antelope>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33753
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I did some investigating by querying within stumpwm.

C-t ; brings up a stumpwm prompt.
---8<------------------------------------------------------------
eval-line (print *module-dir*)

/gnu/store/...stumpwm-18.11-lib/.stumpwm.d/modules/
---8<------------------------------------------------------------

It seems to set *module-dir* at build time to be
/gnu/store/...stumpwm-18.11-lib/.stumpwm.d/modules/. However, this .stump.d
doesn't exist and it was created when stumpwm was compiled. There are
also potentially a FHS assumption with (getenv "HOME") and it happens to
evaluate to the /gnu/store item.

StumpWM gives option #1 of setting module-dir at build time of
StumpWM. I could try patching
---8<------------------------------------------------------------
> (pathname-as-directory (concat (getenv "HOME") "/.stumpwm.d/modules"))
---8<------------------------------------------------------------
in order to store the modules at some standard, system-wide location? Hard
coding it as /var/guix/profiles/per-user/user/guix-profile/share/common-lisp
is incorrect because guix won't build as the user. Maybe I can force stumpwm
and the stumpwm-contrib modules to use the same stumpwm library. This seems
tricky/impossible, though, since they are all individual modules.

StumpWM also offers option #2 of calling set-module-dir to set this
variable at run-time in ~/.stumpwmrc. This is how it currently works and
it seems more simple.
---8<-------------------  ~/.stumpwmrc --------------------------
(set-module-dir "~/.guix-profile/share/common-lisp/sbcl-bundle-systems")
---8<------------------------------------------------------------

*module-dir* is essentially a seed for *load-path*, which is where the
files like cpu.asd and cpu--system.fasl are. With the current setup,
load-path is populated correctly.
---8<------------------------------------------------------------
eval-line (print *load-path*)

/gnu/store/stumpwm-cpu/lib/sbcl/"
...
/gnu/store/stumpwm-mem/lib/sbcl/"
---8<------------------------------------------------------------

Option #3 is to use "add-to-load-path", but that seems similar to
Option #1. I suppose this is a matter of investigating how stumpwm
handles its modules/extensions. What I know thus far points me to err
toward setting module-dir at run-time, since it is a one-liner.

Relevant snippets from module.lisp
(https://github.com/stumpwm/stumpwm/blob/master/module.lisp)

---8<------------------------------------------------------------
(defvar *module-dir*
  (pathname-as-directory (concat (getenv "HOME") "/.stumpwm.d/modules"))
  "The location of the contrib modules on your system.")

(defun build-load-path (path)
  "Maps subdirectories of path, returning a list of all subdirs in the
  path which contain any files ending in .asd"
  ...

(defvar *load-path* nil
  "A list of paths in which modules can be found, by default it is
  populated by any asdf systems found in `*module-dir*' set from the
  configure script when StumpWM was built, or later by the user using
  `add-to-load-path'")

(defun set-module-dir (dir)
  "Sets the location of the for StumpWM to find modules"
  (when (stringp dir)
    (setf dir (pathname (concat dir "/"))))
  (setf *module-dir* dir)
  (init-load-path *module-dir*))
---8<------------------------------------------------------------




Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 25 Dec 2018 09:01:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 25 04:01:52 2018
Received: from localhost ([127.0.0.1]:35714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbib1-0007kO-TQ
	for submit <at> debbugs.gnu.org; Tue, 25 Dec 2018 04:01:52 -0500
Received: from mail-pg1-f178.google.com ([209.85.215.178]:37495)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <namluunguyen@HIDDEN>) id 1gbiaz-0007k0-A4
 for 33753 <at> debbugs.gnu.org; Tue, 25 Dec 2018 04:01:49 -0500
Received: by mail-pg1-f178.google.com with SMTP id c25so6393239pgb.4
 for <33753 <at> debbugs.gnu.org>; Tue, 25 Dec 2018 01:01:49 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:references
 :mime-version:content-disposition:in-reply-to:user-agent;
 bh=SrAHz92/OBoSB2JpmbLWk2qB1fx+7lyGMPisV5YFrNY=;
 b=Bosikgorc0GrALQBct7K7JVyBYIaJ8Jv9lYYB2TEYcxPOfHe0PiWuG3lqd4p76stYq
 oGjVtHhukzUEBKWZRB0tLYXPhnyl7CwyKWbfDAIry584e8r1ETr42GTqaMBIRX+ift37
 UTlfvQhvmHQufKf++GjPuv0DliJ5csIkWqPmsVjv1/6Gie35o81DTx5iqOo8LdhMsa0R
 NRj+BVhuSVLvH+tMz3ncTPdgmCDkHuaDG+qZ7pzsJ04A1fVFtoxBjWNBQuhswHyC6Umn
 XtpR3j2BZiQ5KckVg2LI+p6QNylQsg4gBfIv8Ho//XRtRzrU5FfxB0Z9iNwZRzMJLb4O
 eh4Q==
X-Gm-Message-State: AJcUukdU/V8DWIsAP7O6GXX75+XIar6gAaT3PG2aBSJ4mZsfKNrQcfFU
 +nZlFGMyAmSEXT1Iuebn5vtOvc6zWhA=
X-Google-Smtp-Source: ALg8bN5G7cf1+guc0LPFfMV8Ep2q9Acru8skZo/4j4dLWxSPa+I9zoEcTMToqZ0cltVCUhzFyaWIww==
X-Received: by 2002:a63:ce50:: with SMTP id r16mr14817745pgi.217.1545728503320; 
 Tue, 25 Dec 2018 01:01:43 -0800 (PST)
Received: from antelope ([24.5.139.14])
 by smtp.gmail.com with ESMTPSA id o84sm54327031pfi.172.2018.12.25.01.01.40
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 25 Dec 2018 01:01:42 -0800 (PST)
Date: Tue, 25 Dec 2018 01:01:21 -0800
From: Nam Nguyen <namn@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#33753] stumpwm-contrib
Message-ID: <20181225090121.GA18066@antelope>
References: <20181215020600.2713-1-namn@HIDDEN>
 <20181215025031.GA2694@antelope> <87efaaolla.fsf@HIDDEN>
 <87d0pulp5m.fsf@HIDDEN> <875zvlv8r1.fsf@HIDDEN>
 <20181224100129.GA17168@antelope> <87y38fi64j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87y38fi64j.fsf@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33753
Cc: 33753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Sorry, no time for testing at the moment.
No worries. Thanks for letting me know.

> Both are included with asdf-build-system/sbcl.  Is this OK in this context?

In this context, the entire repo is contained in sbcl-source. 
COPYING  media/  minor-mode/  modeline/  README.org  update-readme.sh  util/

I've resorted to a clunky way of deleting everything but the util/cpu
subdirectory that I care about retaining.
cp -r sbcl-source/util/cpu out/cpu
rm -rf sbcl-source
cp -r out/cpu sbcl-source/cpu

I have cleaned up the code a bit in these latest two patches so that
there is only one phase that does this. The directories look like so:

---8<------------------------------------------------------------
~/.guix-profile/share/common-lisp/sbcl-source$ ls
battery-portable  cpu  hostname  mem  pinentry  swm-gaps  winner-mode

~/.guix-profile/share/common-lisp/sbcl-bundle-systems$ ls
battery-portable.asd  cpu.asd  hostname.asd  mem.asd  pinentry.asd  swm-gaps.asd  winner-mode.asd
---8<------------------------------------------------------------

> (set-module-dir "~/.guix-profile/share/common-lisp/sbcl-bundle-systems")
> And then you would not need this line either if I'm not mistaken.

I referred to the documentation[1], and it seems that module-dir can be set.

In order not to set module-dir at runtime, perhaps the stumpwm recipe
can be configured[2] with the correct module-dir?

I suppose it would be more user-friendly to not have to use set-module-dir
and just use the modules directly (like how emacs works with guix). If
this is option is more desired, I can try configuring stumpwm and will
report back.

---8<------------------------------------------------------------
(defvar *load-path* nil
  "A list of paths in which modules can be found, by default it is
  populated by any asdf systems found in `*module-dir*' set from the
  configure script when StumpWM was built, or later by the user using
  `add-to-load-path'")
---8<------------------------------------------------------------

[1] https://github.com/stumpwm/stumpwm/wiki/Modules
[2] https://github.com/stumpwm/stumpwm/blob/master/module.lisp




Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 25 Dec 2018 08:19:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 25 03:19:28 2018
Received: from localhost ([127.0.0.1]:35709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbhw0-0006WD-Cb
	for submit <at> debbugs.gnu.org; Tue, 25 Dec 2018 03:19:28 -0500
Received: from mail-ed1-f48.google.com ([209.85.208.48]:37120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <namluunguyen@HIDDEN>) id 1gbhvw-0006Vi-4z
 for 33753 <at> debbugs.gnu.org; Tue, 25 Dec 2018 03:19:24 -0500
Received: by mail-ed1-f48.google.com with SMTP id h15so11316476edb.4
 for <33753 <at> debbugs.gnu.org>; Tue, 25 Dec 2018 00:19:24 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=OwAlEkU1UvyOlYb7n1yPcjyUfO6kQ7SqOwEEksFOAWM=;
 b=OqgZvzIkiGtV2tr7K6m1cqF5ayH0UXKeXjvP9xMi6/EQMAbvzNPDURTNgyPDnuLQ/y
 ghi5gk37uX8bt0yXiDxiEL/OErRAV15toTZIugR3afygQxc4ZpoJ+9ZQIvLe+5qYOeO/
 q2yWJWcA5qgpsRkqV+wScJZeFOmcBRjtDMEOxAWt7wQlMc0CHWc4RLIp+8jEY0buIHmZ
 gpFNFLkMtC/9fqgboiizCfegtyeKxHXwl44X1RElWKM/sNZVxv8JDcfwfq6jfzDJO6ob
 n8GhMNuD6Aspid4Dq5YC8imJUkEWuYKzyOoFnG89wXnswbI1HkZx2dPK6opmDeaXa/lD
 +ubg==
X-Gm-Message-State: AA+aEWZYwDyRs1m6RpTFa5lYrjrBWyHU9Scg39yMuosl1JF+LitQtmck
 u3HwX80luSmo9YlzWLYGVO/XPEWNQMw=
X-Google-Smtp-Source: AFSGD/W1jjLY9H+9xi11vvM2/LfNYW911rowe+M7XG8uXvIzIRSpvSW6dJcQIyk9JPo2mwQ9KBs8HA==
X-Received: by 2002:a50:a741:: with SMTP id h59mr11875958edc.106.1545725958342; 
 Tue, 25 Dec 2018 00:19:18 -0800 (PST)
Received: from localhost.localdomain ([24.5.139.14])
 by smtp.googlemail.com with ESMTPSA id x30sm9757805edd.30.2018.12.25.00.19.17
 for <33753 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 25 Dec 2018 00:19:17 -0800 (PST)
From: Nam Nguyen <namn@HIDDEN>
To: 33753 <at> debbugs.gnu.org
Subject: [PATCH 2/3] gnu: Add sbcl-percent-encoding.
Date: Tue, 25 Dec 2018 00:19:01 -0800
Message-Id: <20181225081901.19657-2-namn@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20181225081901.19657-1-namn@HIDDEN>
References: <20181225081901.19657-1-namn@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33753
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/lisp.scm (sbcl-percent-encoding): New variable.
---
 gnu/packages/lisp.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 4fb9a8a00..5d99c7dfb 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -1495,6 +1495,30 @@ the string into one of the standard Common Lisp number types, if possible, or
 else @code{parse-number} signals an error of type @code{invalid-number}.")
     (license license:bsd-3)))
 
+(define-public sbcl-percent-encoding
+  (package
+    (name "sbcl-percent-encoding")
+    (version "20121013")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "http://beta.quicklisp.org/archive/percent-encoding/"
+                           "2012-10-13/percent-encoding-"
+                           version "-git.tgz"))
+       (sha256
+        (base32
+         "1dlf77c1iha1d7h6fzmv090mf8p6w20fqjrd5zcbh2kiicyabhfb"))))
+    (inputs
+     `(("sbcl-anaphora" ,sbcl-anaphora)
+       ("sbcl-babel" ,sbcl-babel)
+       ("sbcl-fiveam" ,sbcl-fiveam)))
+    (build-system asdf-build-system/sbcl)
+    (home-page "https://common-lisp.net/project/percent-encoding/")
+    (synopsis "Library for percent-encoding (URI encoding) for Common Lisp")
+    (description "@code{percent-encoding} is a URI encoding library for
+Common Lisp, as defined in RFC 3986.")
+    (license license:expat)))
+
 (define-public sbcl-iterate
   (package
     (name "sbcl-iterate")
-- 
2.20.1





Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 25 Dec 2018 08:19:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 25 03:19:25 2018
Received: from localhost ([127.0.0.1]:35707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbhvw-0006W1-VJ
	for submit <at> debbugs.gnu.org; Tue, 25 Dec 2018 03:19:25 -0500
Received: from mail-ed1-f66.google.com ([209.85.208.66]:45040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <namluunguyen@HIDDEN>) id 1gbhvv-0006Vg-9m
 for 33753 <at> debbugs.gnu.org; Tue, 25 Dec 2018 03:19:23 -0500
Received: by mail-ed1-f66.google.com with SMTP id y56so11280452edd.11
 for <33753 <at> debbugs.gnu.org>; Tue, 25 Dec 2018 00:19:23 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=ndsaT1sLtYUCK/ksdMu1FzDpZGmN+2p1AO3KehTd4qw=;
 b=O7pkQtB9Pfh4nu//JpBw5fYFasbHAktVbSjWbl++TM4wT+BffN5p2lBKHBIioKO1c9
 ZlCigAJ9ck4a1vOc5AuyO4AJjSdL0qso9QBuPNfPRFSTjBrgkGhgg8EFJXTm5xwtvX95
 qGgY44DJFi5cyczZ64xMIjB5jjFfuWlyyXOVV2DvjW8XNE+ruz9cMOvf8RPov4m+xt/R
 YTlhWx5J42eqm7X5K630JuDqVd/Q2/I2gACKKoK32vaONPiYJZFQrUyoUUiRvg9wlXMz
 vboZHwEQyN5EuP71FdvvJQ6LnSH4sMfRjNTOGZBZXtevdM/StACKNiaYg1muBH/Fv46k
 81BQ==
X-Gm-Message-State: AA+aEWY0v5mJaI0pwacredN1ZO/Tc2gp47TUoMcNWYEd1M3sBhQvAyQW
 mlna+b1GmmtybzWmAUQXPRGL1Vxc+Rk=
X-Google-Smtp-Source: AFSGD/XbVODX+k/UQnN3Agro3hAre9BsuudcAxuOoNiJaewvdXba8MH/wL1IK98ptXwz/4qlwUYFJw==
X-Received: by 2002:a17:906:138d:: with SMTP id
 f13-v6mr10493136ejc.176.1545725957075; 
 Tue, 25 Dec 2018 00:19:17 -0800 (PST)
Received: from localhost.localdomain ([24.5.139.14])
 by smtp.googlemail.com with ESMTPSA id x30sm9757805edd.30.2018.12.25.00.19.15
 for <33753 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 25 Dec 2018 00:19:16 -0800 (PST)
From: Nam Nguyen <namn@HIDDEN>
To: 33753 <at> debbugs.gnu.org
Subject: [PATCH 1/3] gnu: Add stumpwm modules.
Date: Tue, 25 Dec 2018 00:19:00 -0800
Message-Id: <20181225081901.19657-1-namn@HIDDEN>
X-Mailer: git-send-email 2.20.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33753
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/lisp.scm (stumpwm-cpu, stumpwm-mem, stumpwm-hostname)
  (stumpwm-battery-portable, stumpwm-winner-mode, stumpwm-swm-gaps)
  (stumpwm-pinentry): New public variables.
  (stumpwm-contrib, stumpwm-module): New private variables.
---
 gnu/packages/lisp.scm | 104 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 104 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 261e720e2..4fb9a8a00 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -12,6 +12,7 @@
 ;;; Copyright © 2018 Alex Vong <alexvong1995@HIDDEN>
 ;;; Copyright © 2018 Pierre Neidhardt <mail@HIDDEN>
 ;;; Copyright © 2018 Pierre Langlois <pierre.langlois@HIDDEN>
+;;; Copyright © 2018 Nam Nguyen <namn@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1032,6 +1033,109 @@ productive, customizable lisp based systems.")
     (inherit (sbcl-package->cl-source-package stumpwm))
     (name "cl-stumpwm")))
 
+(define stumpwm-contrib
+  (let ((commit "bd47cec14f7299711ac29468d2e1364d38a81bee")
+        (revision "1"))
+    (package
+      (name "stumpwm-contrib")
+      (version (git-version "0.0.1" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/stumpwm/stumpwm-contrib.git")
+               (commit commit)))
+         (file-name (string-append name "-" version "-checkout"))
+         (sha256
+          (base32
+           "0kh9vpmxssjvxgvl6ihpn0qh4l660n64iq80ivhagdvr8s045ddj"))))
+      (build-system asdf-build-system/sbcl)
+      (inputs
+       `(("stumpwm" ,stumpwm "lib")))
+      (home-page "https://github.com/stumpwm/stumpwm-contrib")
+      (synopsis "Collection of StumpWM modules")
+      (description "Modules are a way to extend StumpWM using Lisp
+code.")
+      (license (list license:gpl2+      ; TODO: swm-gaps Missing license?
+                     license:gpl3+      ; cpu, mem, battery-portable,
+                                        ; winner-mode, pinentry
+                     license:bsd-2))))) ; hostname
+
+(define* (stumpwm-module mod cat syn desc)
+  (package (inherit stumpwm-contrib)
+    (name (string-append "stumpwm-" mod))
+    (arguments
+     `(#:tests? #f ; No tests exist.
+       #:asd-file (string-append ,cat "/" ,mod "/" ,mod ".asd")
+       #:asd-system-name ,mod
+       #:phases
+       (modify-phases %standard-phases
+         ;; Keep this module's sources and delete the rest.
+         (add-after 'check 'copy-module-sources
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (clisp (string-append out "/share/common-lisp"))
+                    (sbcl-source (string-append clisp "/sbcl-source"))
+                    (source (string-append sbcl-source "/"
+                                           ,mod "/" ,cat "/" ,mod))
+                    (tmp (string-append out "/" ,mod)))
+               (mkdir-p tmp)
+               (copy-recursively source tmp)
+               (delete-file-recursively sbcl-source)
+               (copy-recursively tmp
+                                 (string-append sbcl-source "/" ,mod))
+               (delete-file-recursively tmp))
+             #t)))))
+    (synopsis syn)
+    (description desc)))
+
+(define-public stumpwm-cpu
+  (stumpwm-module "cpu" "modeline"
+                  "Display CPU info"
+                  "Display CPU info in the StumpWM modeline."))
+
+(define-public stumpwm-mem
+  (stumpwm-module "mem" "modeline"
+                  "Display memory info"
+                  "Display memory info in the StumpWM modeline."))
+
+(define-public stumpwm-hostname
+  (stumpwm-module "hostname" "modeline"
+                  "Display hostname"
+                  "Display hostname in the StumpWM modeline."))
+
+(define-public stumpwm-battery-portable
+  (stumpwm-module "battery-portable" "modeline"
+                  "Display laptop battery info"
+                  "Display laptop battery info in the StumpWM
+modeline."))
+
+(define-public stumpwm-winner-mode
+  (stumpwm-module "winner-mode" "util"
+                  "Emacs' winner-mode for StumpWM"
+                  "Winner mode records changes in the window
+configuration so that changes can be undone.  It hooks into StumpWM to
+dump layouts.  This only works per group."))
+
+(define-public stumpwm-swm-gaps
+  (stumpwm-module "swm-gaps" "util"
+                  "Pretty (useless) gaps for StumpWM"
+                  "Add gaps to StumpWM running along various borders."))
+
+(define-public stumpwm-pinentry
+  (let ((pinentry (stumpwm-module "pinentry" "util"
+                                  "Integrate GnuPG Agent with StumpWM"
+                                  "GnuPG Agent uses
+@code{stumpwm-pinentry} to ask for your password.")))
+    (package (inherit pinentry)
+      (inputs
+       `(("sbcl-cffi" ,sbcl-cffi)
+         ("sbcl-usocket-server" ,sbcl-usocket-server)
+         ("sbcl-percent-encoding" ,sbcl-percent-encoding)
+         ,@(package-inputs stumpwm-contrib)))
+      (propagated-inputs
+       `(("netcat" ,netcat))))))
+
 ;; The slynk that users expect to install includes all of slynk's contrib
 ;; modules.  Therefore, we build the base module and all contribs first; then
 ;; we expose the union of these as `sbcl-slynk'.  The following variable
-- 
2.20.1





Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 24 Dec 2018 10:20:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 24 05:20:58 2018
Received: from localhost ([127.0.0.1]:34338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbNM2-000321-Hm
	for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 05:20:58 -0500
Received: from flashner.co.il ([178.62.234.194]:40374)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1gbNM0-00031p-PD
 for 33753 <at> debbugs.gnu.org; Mon, 24 Dec 2018 05:20:57 -0500
Received: from localhost (unknown [141.226.9.73])
 by flashner.co.il (Postfix) with ESMTPSA id 141B6403EE;
 Mon, 24 Dec 2018 10:20:50 +0000 (UTC)
Date: Mon, 24 Dec 2018 12:20:50 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#33753] stumpwm-contrib
Message-ID: <20181224102050.GL2581@macbook41>
References: <20181215020600.2713-1-namn@HIDDEN>
 <20181215025031.GA2694@antelope> <87efaaolla.fsf@HIDDEN>
 <87d0pulp5m.fsf@HIDDEN> <875zvlv8r1.fsf@HIDDEN>
 <20181224100129.GA17168@antelope> <87y38fi64j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="v541l457l4DThMFo"
Content-Disposition: inline
In-Reply-To: <87y38fi64j.fsf@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33753
Cc: Nam Nguyen <namn@HIDDEN>, 33753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--v541l457l4DThMFo
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Dec 24, 2018 at 11:14:20AM +0100, Pierre Neidhardt wrote:
>=20
> > AIUI,
>=20
> What is AIUI? :/
>=20

as i understand it

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--v541l457l4DThMFo
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAlwgswEACgkQQarn3Mo9
g1FrQw//ZLtKC0hQFzhHON/UJVAHsB17sgx0Pz+SD7n6yHgtc4/QoUYfmdNXrW9n
nLnKYQiB/h/ur3Pu/qzuqpMYlVRDowEdrNbZHCZdU/IwGaO5ZM9lwDN8V6QVpTrP
YgNZx7MeaWzDY9ssky1iWcLiwOrLDmPy96IWrLEj6jp+/QPRRDRgRqjTkUIodvPM
KH1/HwcoY66+hOwyCUFvEHoa9S1AmRp0HQ+ytuBkcQ4pf02erx+rtRswsPZL0c4x
XJANHJ1gnnuAUKKzUTQJzmeeMYddPPza8mE4FwORlW6dy8i1aILUxkygHavbgzmE
UzF0wN4qJDz/chpSa97sJlIWFBgetk5p7bS4QvRoezVIh9DwWgHRS9Y6Gjeg6poe
C069D56JFTStymT5G2IFHSzpKoaf5zQsOZ7LkKSjw4g8FvYzf3wf7RhdxFRSsFsa
AmBOaoV1N8c7fa9uz047g0GVPGBtjHWs+IhDKDz2kN9qCZOJTj3wYD6ZmYfFXZlo
tsH8ZFnN9rgG3MTlXZFNpWUFTxBzEOHOnA1iS6A/r3W8UJG+2owOuu84wbh9bSn6
5zjxTc4rUdK5KY5KUK0tKIqunN4llgZuktMxyZqczbuzg+O8tzafQisDKbvZ72Ia
cSOWwnvFvmGRBqpvIT6BN0QNoAyOB0VVENmFCl6SgX0HTMgSfFM=
=0nuN
-----END PGP SIGNATURE-----

--v541l457l4DThMFo--




Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 24 Dec 2018 10:14:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 24 05:14:27 2018
Received: from localhost ([127.0.0.1]:34334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbNFi-0002sB-Po
	for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 05:14:26 -0500
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:59135)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gbNFg-0002s3-WE
 for 33753 <at> debbugs.gnu.org; Mon, 24 Dec 2018 05:14:25 -0500
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id 70B93FF805;
 Mon, 24 Dec 2018 10:14:22 +0000 (UTC)
References: <20181215020600.2713-1-namn@HIDDEN>
 <20181215025031.GA2694@antelope> <87efaaolla.fsf@HIDDEN>
 <87d0pulp5m.fsf@HIDDEN> <875zvlv8r1.fsf@HIDDEN>
 <20181224100129.GA17168@antelope>
User-agent: mu4e 1.0; emacs 26.1
From: Pierre Neidhardt <mail@HIDDEN>
To: Nam Nguyen <namn@HIDDEN>
Subject: Re: [bug#33753] stumpwm-contrib
In-reply-to: <20181224100129.GA17168@antelope>
Date: Mon, 24 Dec 2018 11:14:20 +0100
Message-ID: <87y38fi64j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33753
Cc: ludo@HIDDEN, 33753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


> If I use asdf-build-system/source instead of sbcl I get the sources for
> cpu stored in:
> ~/.guix-profile/share/common-lisp/source/cpu

But you should not use asdf-build-system/source for StumpWM since it's not
supported by any Lisp other than SBCL, right?

> As noted before, ~/.stumpwmrc will have to contain the precompiled code i=
n:
> (set-module-dir "~/.guix-profile/share/common-lisp/sbcl-bundle-systems")
> in order to work with the more advanced plugins like pinentry.

And then you would not need this line either if I'm not mistaken.

> AIUI,

What is AIUI? :/

> stumpwm-contrib/cpu contains the source code and documentation
> org-mode files, and sbcl-bundle-systems contains the precompiled code.

Both are included with asdf-build-system/sbcl.  Is this OK in this context?

Sorry, no time for testing at the moment.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAlwgsXwACgkQm9z0l6S7
zH8OOAgArodTa8mM65KkLdRDXZ+yNQKDim4q072qJxOJSWq1JcbgT2lCUGy6sER9
ttlsWjihWUp1scDe0AL3jr6/fPen7r17oKgMMUXEfkv47LMqiQPX4bY3NPQjHWPK
pXF/hmECZ+IlpJG0Mb0GE3cHyDYRNSGYekBEbBCzJBPp94qa9zSxanC1Pf8yy+Dl
oKgrOiMOW1L4m60JrR2xzgyVJKi/WeDmxbvxIsTHgqAaSxjvBiu6okHIsx8sqgVX
snam6K23z7O5fNBr29atBrxhwo3BNrDBkty8Qhc0acesYU3frvCjgBrYdNKSssP/
iVoNISKPcM8Fu9toqp8V4FECicsvAA==
=fhnu
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 24 Dec 2018 10:02:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 24 05:02:00 2018
Received: from localhost ([127.0.0.1]:34321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbN3e-0002Xf-Vn
	for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 05:02:00 -0500
Received: from mail-ed1-f42.google.com ([209.85.208.42]:40214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <namluunguyen@HIDDEN>) id 1gbN3d-0002XT-6d
 for 33753 <at> debbugs.gnu.org; Mon, 24 Dec 2018 05:01:57 -0500
Received: by mail-ed1-f42.google.com with SMTP id g22so9715795edr.7
 for <33753 <at> debbugs.gnu.org>; Mon, 24 Dec 2018 02:01:57 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:references
 :mime-version:content-disposition:in-reply-to:user-agent;
 bh=oNWgqRPTBmAU9ae0328n67RJnrkSUwXAW5Ldab1s/6M=;
 b=JrHNpnPUbjJ2xrHxk21UTjsG2KEifuVVcmL2p2c4L03gjBpJ9bCLwBTzuCS4668D5A
 zyaaTi7BCPNmThW+zWVZe5b7qOV9WKZaYRH0db6p+1nxGwz/3RrZXf/YnfJ7NW1flqSs
 tBzPyfjagrwpCuiGoxcCsMQ/HzDjNH0zyd0GPH6GeV2MaSImqkD061sU61pT5K0M1l08
 evOt2qLMWsFEiUDGHBwjltnxJWpCkfDXgrE6wnm1QH6dQlaGJ4bYq9g2sTS5pwP4Tq2j
 /XiPT5gp0OzGks+Iu5qaH79JtAzBoPvGb6x8D9yu6wfXkR+jF5AK/5KxaVDeHNDSaBIa
 kuKg==
X-Gm-Message-State: AA+aEWY2mYb1q98uJVUhO3Vi7F2skHHJHL52OWd51Bo1FiRkSfTV0wJh
 ghXCSA1JZAe2jK+K3QNYo+yKbNG/LOE=
X-Google-Smtp-Source: AFSGD/WkY6jx2RC7hGlazdD1tZTT3sGbNVG8e0C0hd46CcbFLkcCklMKYkq9eW9RbwSTljsMDtZigQ==
X-Received: by 2002:aa7:c352:: with SMTP id j18mr9870681edr.295.1545645711238; 
 Mon, 24 Dec 2018 02:01:51 -0800 (PST)
Received: from antelope ([24.5.139.14])
 by smtp.gmail.com with ESMTPSA id s46sm9351798edd.9.2018.12.24.02.01.49
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 24 Dec 2018 02:01:50 -0800 (PST)
Date: Mon, 24 Dec 2018 02:01:29 -0800
From: Nam Nguyen <namn@HIDDEN>
To: 33753 <at> debbugs.gnu.org
Subject: Re: [bug#33753] stumpwm-contrib
Message-ID: <20181224100129.GA17168@antelope>
References: <20181215020600.2713-1-namn@HIDDEN>
 <20181215025031.GA2694@antelope> <87efaaolla.fsf@HIDDEN>
 <87d0pulp5m.fsf@HIDDEN> <875zvlv8r1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <875zvlv8r1.fsf@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33753
Cc: ludo@HIDDEN, mail@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi all,

> you could probably use a a function / macro to define those packages

Thank you for pointing me to examples. This helped me refactor.

> : 4. Should the stumpwm-contrib directory be named sbcl-sources (can't
> : recall the default directory of asdf-build-system/source)?

> Sorry, which directory exactly?

If I use asdf-build-system/source instead of sbcl I get the sources for
cpu stored in:
~/.guix-profile/share/common-lisp/source/cpu

Instead, I arbitrarily created stumpwm-contrib to store the sources:
~/.guix-profile/share/common-lisp/stumpwm-contrib/cpu

To rephrase question #4: Should I rename stumpwm-contrib to be "source"
to be more consistent with the "default" naming, or is stumpwm-contrib
sufficient?

As noted before, ~/.stumpwmrc will have to contain the precompiled code in:
(set-module-dir "~/.guix-profile/share/common-lisp/sbcl-bundle-systems")
in order to work with the more advanced plugins like pinentry.

AIUI, stumpwm-contrib/cpu contains the source code and documentation
org-mode files, and sbcl-bundle-systems contains the precompiled code.

This time, I included all the modules for review, as refactoring helped
to shorten the patches.




Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 24 Dec 2018 09:22:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 24 04:22:04 2018
Received: from localhost ([127.0.0.1]:34288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbMR1-0001Ua-W8
	for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 04:22:04 -0500
Received: from mail-pl1-f180.google.com ([209.85.214.180]:43916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <namluunguyen@HIDDEN>) id 1gbMR0-0001Tg-MD
 for 33753 <at> debbugs.gnu.org; Mon, 24 Dec 2018 04:22:03 -0500
Received: by mail-pl1-f180.google.com with SMTP id gn14so5393454plb.10
 for <33753 <at> debbugs.gnu.org>; Mon, 24 Dec 2018 01:22:02 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=O6W/6DQpAvtzXTs3+YlE0n7P5dIuP6f2GlTnIyInYE8=;
 b=EiYIicvctIwPtyFBjLYIRCJTdIT/zZlrXf8A9N2X9nJwt3gpVYTgLKOKH964aP5uiY
 BNcjQ482+kqWqpmgnK0wfUtAG0T3MUdFiIhj3fibZoc6rYw7+sGZ/uVdWqCb4dAZDU3b
 zBaSo3dWwbC0JdS4Zm1QKvR43S2FpPoSgvimpuYAVq83ts/Eva17SHE1K7U4tm7D317C
 tcHVoPcnLLg11dzZ9TxNiFqUqz9BtATL3sl1ssoTpZ649Mjn5C5kFVrW8Lu+wCtoAmrC
 9abQsasKC/QjK4wNKFt8cs2OX2orU/gW7awXrLUmp8gWzZqrTHtkAmo8PDlRfoyokmbj
 nolA==
X-Gm-Message-State: AJcUukdb29Vh6Ojoimw0KWXwvvPP+VkwS7fDuhkW/865qfKUaCIpMDxN
 3xiBgT87xyC2aSdlHl69efT39s0HLSo=
X-Google-Smtp-Source: ALg8bN5WNI+hHfb4Kdcv+2mpjSrCAZOyuxJOiZVq5KmDIbyWXKV0ga02mQ8P5h8EwwXfstuPJWYh1g==
X-Received: by 2002:a17:902:d83:: with SMTP id 3mr12093752plv.43.1545643316833; 
 Mon, 24 Dec 2018 01:21:56 -0800 (PST)
Received: from localhost.localdomain ([24.5.139.14])
 by smtp.googlemail.com with ESMTPSA id w3sm44902308pge.8.2018.12.24.01.21.54
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 24 Dec 2018 01:21:56 -0800 (PST)
From: Nam Nguyen <namn@HIDDEN>
To: 33753 <at> debbugs.gnu.org
Subject: [PATCH 3/3] gnu: emacs-stumpwm-mode: Use source and version of
 stumpwm-cpu.
Date: Mon, 24 Dec 2018 01:21:25 -0800
Message-Id: <20181224092125.17182-3-namn@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20181224092125.17182-1-namn@HIDDEN>
References: <20181224092125.17182-1-namn@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33753
Cc: Nam Nguyen <namn@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/emacs.scm (emacs-stumpwm-mode): Use source and version of stumpwm-cpu.
---
 gnu/packages/emacs.scm | 14 +++-----------
 1 file changed, 3 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index 7fdcfb1a3..2e6962695 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -122,6 +122,7 @@
   #:use-module (gnu packages video)
   #:use-module (gnu packages haskell)
   #:use-module (gnu packages wordnet)
+  #:use-module (gnu packages lisp)
   #:use-module (guix utils)
   #:use-module (srfi srfi-1)
   #:use-module (ice-9 match))
@@ -10864,17 +10865,8 @@ bookmarks and history.")
         (revision "1"))
     (package
       (name "emacs-stumpwm-mode")
-      (version (string-append "0.0.1-" revision "."
-                              (string-take commit 7)))
-      (source (origin
-                (method git-fetch)
-                (uri (git-reference
-                      (url "https://github.com/stumpwm/stumpwm-contrib.git")
-                      (commit commit)))
-                (file-name (string-append name "-" version "-checkout"))
-                (sha256
-                 (base32
-                  "1dfwsvz1c8w6j4jp0kzaz78ml3f5dp0a5pvf090kwpbpg176r7iq"))))
+      (version (package-version stumpwm-cpu))
+      (source (package-source stumpwm-cpu))
       (build-system emacs-build-system)
       (arguments
        `(#:phases
-- 
2.20.1





Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 24 Dec 2018 09:22:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 24 04:21:59 2018
Received: from localhost ([127.0.0.1]:34283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbMQx-0001To-Lc
	for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 04:21:59 -0500
Received: from mail-pf1-f173.google.com ([209.85.210.173]:33850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <namluunguyen@HIDDEN>) id 1gbMQv-0001TM-1q
 for 33753 <at> debbugs.gnu.org; Mon, 24 Dec 2018 04:21:57 -0500
Received: by mail-pf1-f173.google.com with SMTP id h3so5607901pfg.1
 for <33753 <at> debbugs.gnu.org>; Mon, 24 Dec 2018 01:21:57 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=roFq2rHN4qegsrmYi1UT9hrZz/GZcpBQm8Ovnc37/Xk=;
 b=Qs5yLuhQPZKAwHHTwudkkVerqJz4dks6aEd53jCcf2StKlB2YrgliuqazPfYoboewt
 ZqjzHhQAHJ/+58927n3qg2sL8he9KbmE8EF8gbGsSZCRAcEOAqJDHTScpS7CrGxIZylR
 JsIgHjmfN068kmzgraXG6tHjKWZeHNK0QrF1QdPPkiZAJpk8FcwNNq0+grSjJdpdRHZV
 GapqKdtSFd19hsOYla+elzA9iHu/M1XRw6kTIMxQKgLoN/svcQN/f/EBVv7unnICxmbv
 v09Xmeez9DfIlv1XFXY2NosFHHnbmZv7e+JPo719sFfFBgJKrz3nVox6oE/WY9xsPMG0
 vUNQ==
X-Gm-Message-State: AJcUukfvK6Z0mc+5rnSGdLZTK+dBwWW7WJVvgvUSPSmxCib64SuALchn
 /SCcqFGF48gnFeRRuX7D+F96qOXfx8Y=
X-Google-Smtp-Source: AFSGD/WHzFz3a8578uO+N6MEBVnzD+G0lvPJGry0ph1CXY4FyalF4BVNVUS9TwvYS+pZGdgKl8qMHg==
X-Received: by 2002:a62:36c1:: with SMTP id
 d184mr12530654pfa.242.1545643311072; 
 Mon, 24 Dec 2018 01:21:51 -0800 (PST)
Received: from localhost.localdomain ([24.5.139.14])
 by smtp.googlemail.com with ESMTPSA id w3sm44902308pge.8.2018.12.24.01.21.48
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 24 Dec 2018 01:21:50 -0800 (PST)
From: Nam Nguyen <namn@HIDDEN>
To: 33753 <at> debbugs.gnu.org
Subject: [PATCH 2/3] gnu: Add sbcl-percent-encoding.
Date: Mon, 24 Dec 2018 01:21:24 -0800
Message-Id: <20181224092125.17182-2-namn@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20181224092125.17182-1-namn@HIDDEN>
References: <20181224092125.17182-1-namn@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33753
Cc: Nam Nguyen <namn@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/lisp.scm (sbcl-percent-encoding): New variable.
---
 gnu/packages/lisp.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 711c57cbc..84da001b2 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -1502,6 +1502,30 @@ the string into one of the standard Common Lisp number types, if possible, or
 else @code{parse-number} signals an error of type @code{invalid-number}.")
     (license license:bsd-3)))
 
+(define-public sbcl-percent-encoding
+  (package
+    (name "sbcl-percent-encoding")
+    (version "20121013")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "http://beta.quicklisp.org/archive/percent-encoding/"
+                           "2012-10-13/percent-encoding-"
+                           version "-git.tgz"))
+       (sha256
+        (base32
+         "1dlf77c1iha1d7h6fzmv090mf8p6w20fqjrd5zcbh2kiicyabhfb"))))
+    (inputs
+     `(("sbcl-anaphora" ,sbcl-anaphora)
+       ("sbcl-babel" ,sbcl-babel)
+       ("sbcl-fiveam" ,sbcl-fiveam)))
+    (build-system asdf-build-system/sbcl)
+    (home-page "https://common-lisp.net/project/percent-encoding/")
+    (synopsis "Library for percent-encoding (URI encoding) for Common Lisp")
+    (description "@code{percent-encoding} is a URI encoding library for
+Common Lisp, as defined in RFC 3986.")
+    (license license:expat)))
+
 (define-public sbcl-iterate
   (package
     (name "sbcl-iterate")
-- 
2.20.1





Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 24 Dec 2018 09:21:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 24 04:21:55 2018
Received: from localhost ([127.0.0.1]:34280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbMQt-0001TX-6x
	for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 04:21:55 -0500
Received: from mail-pg1-f194.google.com ([209.85.215.194]:41257)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <namluunguyen@HIDDEN>) id 1gbMQr-0001TI-0p
 for 33753 <at> debbugs.gnu.org; Mon, 24 Dec 2018 04:21:53 -0500
Received: by mail-pg1-f194.google.com with SMTP id m1so5391499pgq.8
 for <33753 <at> debbugs.gnu.org>; Mon, 24 Dec 2018 01:21:52 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=icIXtK6iU8eKm3bCawuV5AIddmeue6kUiRWUTK0X9LU=;
 b=QiuVQReONK18nWx3cMwoyhUPkZVfGEAX8iLSFbuCeGlnsDoQT4ZQFjlo1hE11tLhWi
 hoC4cAPe5LQPUWe1nqVck0o2j6yJz6cYoslZySG1L80fuNRNrnKYK0A+GQiQ2ayRe7xm
 bkHZlcV3dpBvCP/3SWrKFWY1K6JnasHX/+vEWtk8pmG11YEe3UXdCotgJ1uDmeMoeO7R
 VB7n8iKvB69MoW8XdgPN+AppNJAT8CUml4CGYdn58ujIDpxImJPpu05f1gua1rkWZZyY
 5NmMqG+RRzoHauQyn9yw5Ou+aA9Dh+CzE6W6HK7z7gS9beYLLWQoLj+dUptNyzsHjKBG
 xfdA==
X-Gm-Message-State: AA+aEWYcAJeSVUM/8AAeN/QUBktNAiLYGRxgkrvG4iyvvrBrnnTTOtbO
 PlXzDF0l5CHdtfLMSnLdGyWDbfPKb5g=
X-Google-Smtp-Source: ALg8bN56nT/GutMttMr4di/+jDXFe/jwNI9GWgBa/9NgY6EB87lnZTNJ/8ICandODEBNgOVN8vpOgQ==
X-Received: by 2002:a62:1e45:: with SMTP id e66mr12385652pfe.152.1545643306697; 
 Mon, 24 Dec 2018 01:21:46 -0800 (PST)
Received: from localhost.localdomain ([24.5.139.14])
 by smtp.googlemail.com with ESMTPSA id w3sm44902308pge.8.2018.12.24.01.21.44
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 24 Dec 2018 01:21:46 -0800 (PST)
From: Nam Nguyen <namn@HIDDEN>
To: 33753 <at> debbugs.gnu.org
Subject: [PATCH 1/3] gnu: Add stumpwm modules.
Date: Mon, 24 Dec 2018 01:21:23 -0800
Message-Id: <20181224092125.17182-1-namn@HIDDEN>
X-Mailer: git-send-email 2.20.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33753
Cc: Nam Nguyen <namn@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/lisp.scm (stumpwm-contrib, stumpwm-module)
  (stumpwm-cpu, stumpwm-mem, stumpwm-hostname, stumpwm-battery-portable)
  (stumpwm-winner-mode, stumpwm-swm-gaps)
  (stumpwm-pinentry): New variables.
---
 gnu/packages/lisp.scm | 111 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 111 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 261e720e2..711c57cbc 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -12,6 +12,7 @@
 ;;; Copyright © 2018 Alex Vong <alexvong1995@HIDDEN>
 ;;; Copyright © 2018 Pierre Neidhardt <mail@HIDDEN>
 ;;; Copyright © 2018 Pierre Langlois <pierre.langlois@HIDDEN>
+;;; Copyright © 2018 Nam Nguyen <namn@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1032,6 +1033,116 @@ productive, customizable lisp based systems.")
     (inherit (sbcl-package->cl-source-package stumpwm))
     (name "cl-stumpwm")))
 
+(define stumpwm-contrib
+  (let ((commit "bd47cec14f7299711ac29468d2e1364d38a81bee")
+        (revision "1"))
+    (package
+      (name "stumpwm-contrib")
+      (version (git-version "0.0.1" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/stumpwm/stumpwm-contrib.git")
+               (commit commit)))
+         (file-name (string-append name "-" version "-checkout"))
+         (sha256
+          (base32
+           "0kh9vpmxssjvxgvl6ihpn0qh4l660n64iq80ivhagdvr8s045ddj"))))
+      (inputs
+       `(("stumpwm" ,stumpwm "lib")))
+      (build-system asdf-build-system/sbcl)
+      (arguments
+       '(#:tests? #f ; No tests exist.
+         #:phases
+         (modify-phases %standard-phases
+           ;; Delete all sources.
+           (add-after 'check 'delete-modules
+             (lambda* (#:key outputs #:allow-other-keys)
+               (delete-file-recursively
+                (string-append (assoc-ref outputs "out")
+                               "/share/common-lisp/sbcl-source"))
+               #t)))))
+      (home-page "https://github.com/stumpwm/stumpwm-contrib")
+      (synopsis "Collection of StumpWM modules")
+      (description "Modules are a way to extend StumpWM using Lisp
+code.")
+      (license (list license:gpl2+      ; TODO: swm-gaps Missing license?
+                     license:gpl3+      ; cpu, mem, battery-portable,
+                                        ; winner-mode, pinentry
+                     license:bsd-2))))) ; hostname
+
+(define* (stumpwm-module mod cat syn desc)
+  (package (inherit stumpwm-contrib)
+    (name (string-append "stumpwm-" mod))
+    (arguments
+     (substitute-keyword-arguments (package-arguments stumpwm-contrib)
+       ((#:asd-file _ "") (string-append cat "/" mod "/" mod ".asd"))
+       ((#:asd-system-name _ #f) mod)
+       ((#:phases phases)
+        `(modify-phases ,phases
+           ;; Keep module's sources.
+           (add-before 'delete-modules 'copy-module-sources
+             (lambda* (#:key outputs #:allow-other-keys)
+               (let* ((out (assoc-ref outputs "out"))
+                      (clisp (string-append out "/share/common-lisp"))
+                      (source (string-append clisp "/sbcl-source/"
+                                             ,mod "/" ,cat "/" ,mod))
+                      (dest (string-append clisp "/stumpwm-contrib/"
+                                           ,mod)))
+                 (mkdir-p dest)
+                 (copy-recursively source dest))
+               #t))))))
+    (synopsis syn)
+    (description desc)))
+
+(define-public stumpwm-cpu
+  (stumpwm-module "cpu" "modeline"
+                  "Display CPU info"
+                  "Display CPU info in the StumpWM modeline."))
+
+(define-public stumpwm-mem
+  (stumpwm-module "mem" "modeline"
+                  "Display memory info"
+                  "Display memory info in the StumpWM modeline."))
+
+(define-public stumpwm-hostname
+  (stumpwm-module "hostname" "modeline"
+                  "Display hostname"
+                  "Display hostname in the StumpWM modeline."))
+
+(define-public stumpwm-battery-portable
+  (stumpwm-module "battery-portable" "modeline"
+                  "Display laptop battery info"
+                  "Display laptop battery info in the StumpWM
+modeline."))
+
+(define-public stumpwm-winner-mode
+  (stumpwm-module "winner-mode" "util"
+                  "Emacs' winner-mode for StumpWM"
+                  "Winner mode records changes in the window
+configuration so that changes can be undone.  It hooks into StumpWM to
+dump layouts.  This only works per group."))
+
+(define-public stumpwm-swm-gaps
+  (stumpwm-module "swm-gaps" "util"
+                  "Pretty (useless) gaps for StumpWM"
+                  "Add gaps to StumpWM running along various borders."))
+
+(define-public stumpwm-pinentry
+  (let ((pinentry (stumpwm-module "pinentry" "util"
+                                  "Integrate GnuPG Agent with StumpWM"
+                                  "GnuPG Agent uses
+@code{stumpwm-pinentry} to ask for your password.")))
+    (package (inherit pinentry)
+      (inputs
+       `(("sbcl-cffi" ,sbcl-cffi)
+         ("sbcl-usocket-server" ,sbcl-usocket-server)
+         ("sbcl-percent-encoding" ,sbcl-percent-encoding)
+         ,@(package-inputs stumpwm-contrib)))
+      (propagated-inputs
+       `(("netcat" ,netcat))))))
+
 ;; The slynk that users expect to install includes all of slynk's contrib
 ;; modules.  Therefore, we build the base module and all contribs first; then
 ;; we expose the union of these as `sbcl-slynk'.  The following variable
-- 
2.20.1





Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 21 Dec 2018 18:18:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 21 13:18:19 2018
Received: from localhost ([127.0.0.1]:58772 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gaPNL-0004Tx-Bb
	for submit <at> debbugs.gnu.org; Fri, 21 Dec 2018 13:18:19 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:46161)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gaPNJ-0004To-Gp
 for 33753 <at> debbugs.gnu.org; Fri, 21 Dec 2018 13:18:18 -0500
X-Originating-IP: 82.123.99.232
Received: from mimimi (lfbn-idf2-1-384-232.w82-123.abo.wanadoo.fr
 [82.123.99.232]) (Authenticated sender: mail@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id AFCA640005;
 Fri, 21 Dec 2018 18:18:14 +0000 (UTC)
References: <20181215020600.2713-1-namn@HIDDEN>
 <20181215025031.GA2694@antelope> <87efaaolla.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Pierre Neidhardt <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#33753] stumpwm-contrib
In-reply-to: <87efaaolla.fsf@HIDDEN>
Date: Fri, 21 Dec 2018 19:18:13 +0100
Message-ID: <87d0pulp5m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33753
Cc: Christopher Lemmer Webber <cwebber@HIDDEN>,
 Nam Nguyen <namn@HIDDEN>, 33753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi Nam,

Well, I don't use StumpWM (I'm on EXWM) but I know the ASDF build system, so
maybe I can help a bit.

> : 1. Should the entire repository be bundled together instead of breaking
> : it into individual modules?

One package per .asd.

> : 2. Should asdf-build-system/source be used instead of sbcl?  I had init=
ially
> : copied the entire repository with all the source code, and it still wor=
ked.

No, since StumpWM only supports sbcl, stick to the sbcl build system.

> : 3. Is there a way to by more DRY?

I haven't looked into the details, but you could probably use a a function /
macro to define those packages.
Lots of other packages do this, e.g. linux, gcc, clang, etc.

> : 4. Should the stumpwm-contrib directory be named sbcl-sources (can't
> : recall the default directory of asdf-build-system/source)?

Sorry, which directory exactly?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAlwdLmUACgkQm9z0l6S7
zH+cRQf/QsdAi1c1/5kCemeiwHKcw9wShxNBeGCot3b0FzxMYG5JFj3+y1+2QRcA
un+yi968KfHh3TZ+o5h/aDfZMJWrqKhPoI8EHXpvLEPvZbL7Jd7+eS9QAFlHFYIb
l/hZHGFeVTFq5o0DBZMzg8n9GMMmc3gGmyd/afpL9KyO9WPKOVDcNCleFep8try/
xvoSmgK8ZJJSEGebVHjvB210KjwiZi9NU8QnzBcYGwOnYtwfQRjx3R5YMWYqJT+H
QZ6/eNXrfu0tz9bUJzqNe2YfEdOPJC8KqTn6Vt6BhUV4P48MYg6AM1gYGx743M48
kKdBjWziF8wWY0VqfUjzj/B7KctPyA==
=FTXe
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 21 Dec 2018 17:07:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 21 12:07:14 2018
Received: from localhost ([127.0.0.1]:58751 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gaOGX-0002lT-QZ
	for submit <at> debbugs.gnu.org; Fri, 21 Dec 2018 12:07:14 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34897)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gaOGV-0002lG-VB
 for 33753 <at> debbugs.gnu.org; Fri, 21 Dec 2018 12:07:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gaOGP-0001Jv-Ug
 for 33753 <at> debbugs.gnu.org; Fri, 21 Dec 2018 12:07:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45863)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gaOGJ-00016q-On; Fri, 21 Dec 2018 12:06:59 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=55478 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gaOGJ-0007FB-CG; Fri, 21 Dec 2018 12:06:59 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Nam Nguyen <namn@HIDDEN>
Subject: Re: [bug#33753] stumpwm-contrib
References: <20181215020600.2713-1-namn@HIDDEN>
 <20181215025031.GA2694@antelope>
Date: Fri, 21 Dec 2018 18:06:57 +0100
In-Reply-To: <20181215025031.GA2694@antelope> (Nam Nguyen's message of "Fri,
 14 Dec 2018 18:50:31 -0800")
Message-ID: <87efaaolla.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33753
Cc: Christopher Lemmer Webber <cwebber@HIDDEN>,
 Pierre Neidhardt <mail@HIDDEN>, 33753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello!

Pierre, Chris: could you provide feedback to Nam?  I don=E2=80=99t use Stump
(yet!) so I wouldn=E2=80=99t know what to suggest.

  https://issues.guix.info/issue/33753

Thanks,
Ludo=E2=80=99.

Nam Nguyen <namn@HIDDEN> skribis:

> I am trying to make stumpwm-contrib less of a "grab bag" and more modular
> and well-tested by breaking all the stumpwm extensions/modules into
> separate recipes.
>
> stumpwm-contrib deletes the source code and child
> recipes copies their source code from their directory to
> $(out)/share/common-lisp/stumpwm-contrib.
>
> To test this, install stumpwm and stumpwm-cpu.
>
> ~/.stumpwmrc
> *************************************************************************=
*******
> (set-module-dir "~/.guix-profile/share/common-lisp/sbcl-bundle-systems")
> (load-module "cpu")
>
> (setf *screen-mode-line-format* '("%c %C %t %f [%n] %W"))
>
> ;; %c (CPU usage as %)
> ;; %C (CPU usage as bar graph)
> ;; %t (CPU temperature)
> ;; %f (CPU frequency)
> *************************************************************************=
*******
>
> To toggle the mode-line:
> C-t semicolon mode-line <RET>
>
> I violated the "Don't Repeat Yourself" (DRY) principle and have
> stumpwm-{battery-portable,cpu,mem,pinentry,winner-mode} all tested and
> working. I will postpone submission of those until stumpwm-cpu has been
> accepted. All these submodules are nearly identical with only different
> cat and mod variables. pinentry has some additional inputs. This results
> in a lot of repeated code that looks nearly identical to stumpwm-cpu.
>
> Another concern I had was for ~/.stumpwmrc, including sbcl-bundle-systems
> (which contains symlinks to the compiled code) is necessary for
> stumpwm-pinentry to work correctly. The other plugins can just use the
> stumpwm-contrib directory I created.
>
> ;; (set-module-dir "~/.guix-profile/share/common-lisp/stumpwm-contrib")
> (set-module-dir "~/.guix-profile/share/common-lisp/sbcl-bundle-systems")
>
> Documentation (org-mode files) can be found in the stumpwm-contrib
> directory.
>
> Here is the general directory structure:
> *************************************************************************=
*******
> /home/user/.guix-profile/share/common-lisp:
>  .
>  ..
>  sbcl-bundle-systems
>  stumpwm-contrib
>
> /home/user/.guix-profile/share/common-lisp/sbcl-bundle-systems:
>  .
>  ..
>  battery-portable.asd -> /gnu/store/...-stumpwm-battery-portable-0.0.1-1.=
bd47cec/share/common-lisp/sbcl-bundle-systems/battery-portable.asd
>  cpu.asd -> /gnu/store/...-stumpwm-cpu-0.0.1-1.bd47cec/share/common-lisp/=
sbcl-bundle-systems/cpu.asd
>  mem.asd -> /gnu/store/...-stumpwm-mem-0.0.1-1.bd47cec/share/common-lisp/=
sbcl-bundle-systems/mem.asd
>  pinentry.asd -> /gnu/store/...-stumpwm-pinentry-0.0.1-1.bd47cec/share/co=
mmon-lisp/sbcl-bundle-systems/pinentry.asd
>  swm-gaps.asd -> /gnu/store/...-stumpwm-gaps-0.0.1-1.bd47cec/share/common=
-lisp/sbcl-bundle-systems/swm-gaps.asd
>  winner-mode.asd -> /gnu/store/...-stumpwm-winner-mode-0.0.1-1.bd47cec/sh=
are/common-lisp/sbcl-bundle-systems/winner-mode.asd
>
> /home/user/.guix-profile/share/common-lisp/stumpwm-contrib:
>  .
>  ..
>  battery-portable -> /gnu/store/...-stumpwm-battery-portable-0.0.1-1.bd47=
cec/share/common-lisp/stumpwm-contrib/battery-portable
>  cpu -> /gnu/store/...-stumpwm-cpu-0.0.1-1.bd47cec/share/common-lisp/stum=
pwm-contrib/cpu
>  mem -> /gnu/store/...-stumpwm-mem-0.0.1-1.bd47cec/share/common-lisp/stum=
pwm-contrib/mem
>  pinentry -> /gnu/store/...-stumpwm-pinentry-0.0.1-1.bd47cec/share/common=
-lisp/stumpwm-contrib/pinentry
>  swm-gaps -> /gnu/store/...-stumpwm-gaps-0.0.1-1.bd47cec/share/common-lis=
p/stumpwm-contrib/swm-gaps
>  winner-mode -> /gnu/store/...-stumpwm-winner-mode-0.0.1-1.bd47cec/share/=
common-lisp/stumpwm-contrib/winner-mode
>
> /home/user/.guix-profile/share/common-lisp/stumpwm-contrib/cpu:
>  .
>  ..
>  cpu.asd
>  cpu.lisp
>  package.lisp
>  README.org
> *************************************************************************=
*******
>
> Summary of questions:
> 1. Should the entire repository be bundled together instead of breaking
> it into individual modules?
> 2. Should asdf-build-system/source be used instead of sbcl?  I had initia=
lly
> copied the entire repository with all the source code, and it still worke=
d.
> 3. Is there a way to by more DRY?
> 4. Should the stumpwm-contrib directory be named sbcl-sources (can't
> recall the default directory of asdf-build-system/source)?




Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 15 Dec 2018 02:51:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 14 21:51:05 2018
Received: from localhost ([127.0.0.1]:48827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gY02g-0003y5-Ua
	for submit <at> debbugs.gnu.org; Fri, 14 Dec 2018 21:51:04 -0500
Received: from mail-pg1-f175.google.com ([209.85.215.175]:37889)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <namluunguyen@HIDDEN>) id 1gY02e-0003xZ-Vm
 for 33753 <at> debbugs.gnu.org; Fri, 14 Dec 2018 21:51:01 -0500
Received: by mail-pg1-f175.google.com with SMTP id g189so3513886pgc.5
 for <33753 <at> debbugs.gnu.org>; Fri, 14 Dec 2018 18:51:00 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:subject:message-id:mime-version
 :content-disposition:user-agent;
 bh=3HhnFWC0mYnJFAgF89QEq4ruGnDPnQPYSrf+FMXP50g=;
 b=ZlhXd/wSrGmxtmc+NwbX4P98YBDGG1SmuE3EmgKgpWA8lZHkoBI8yM9fl+u9wj52QV
 E8lSRQq//t285ArRIUzwtHP99tj45E08Ff8aABmyYZTOFgPlqGXZENU70rPeDzvlUdHg
 gGirvhQoC2JZ3/nv0EOZiTdiD+loNMQYKWypuDM26xWebWLh0VU/y72+3qjSArnD+pga
 esqj/gbVAg8RpuCkt9BrvY+gPk/s9TKIzLuxzK1P0chWaXnxBllXFWlZctAmgVXRzvhO
 DvAExAy8xuPPvKxb4cj2MQ0u3YhiIRVuhyW2YeLjhBX/1Us/juTooq7o4f2llBlozjl5
 0X6Q==
X-Gm-Message-State: AA+aEWbl1EzrbTZ8Bl42AaHBFsULKH50Gq1CpjpTcGSuupUVUJhThtng
 hqcxgyddI4k4w2JtI5aLj1pQVy9TkJs=
X-Google-Smtp-Source: AFSGD/VD0dFEkqmLY1SnTrqj2nY/Uug8IcRNGZWtC7NRD/luUQv8dv7kBIrkE5TSrRs5K2+yGiRaWw==
X-Received: by 2002:a63:d50f:: with SMTP id c15mr3397037pgg.287.1544842254484; 
 Fri, 14 Dec 2018 18:50:54 -0800 (PST)
Received: from antelope ([24.5.139.14])
 by smtp.gmail.com with ESMTPSA id h8sm6399067pgv.27.2018.12.14.18.50.51
 for <33753 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 14 Dec 2018 18:50:53 -0800 (PST)
Date: Fri, 14 Dec 2018 18:50:31 -0800
From: Nam Nguyen <namn@HIDDEN>
To: 33753 <at> debbugs.gnu.org
Subject: stumpwm-contrib
Message-ID: <20181215025031.GA2694@antelope>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 33753
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

I am trying to make stumpwm-contrib less of a "grab bag" and more modular
and well-tested by breaking all the stumpwm extensions/modules into
separate recipes.

stumpwm-contrib deletes the source code and child
recipes copies their source code from their directory to
$(out)/share/common-lisp/stumpwm-contrib.

To test this, install stumpwm and stumpwm-cpu.

~/.stumpwmrc
********************************************************************************
(set-module-dir "~/.guix-profile/share/common-lisp/sbcl-bundle-systems")
(load-module "cpu")

(setf *screen-mode-line-format* '("%c %C %t %f [%n] %W"))

;; %c (CPU usage as %)
;; %C (CPU usage as bar graph)
;; %t (CPU temperature)
;; %f (CPU frequency)
********************************************************************************

To toggle the mode-line:
C-t semicolon mode-line <RET>

I violated the "Don't Repeat Yourself" (DRY) principle and have
stumpwm-{battery-portable,cpu,mem,pinentry,winner-mode} all tested and
working. I will postpone submission of those until stumpwm-cpu has been
accepted. All these submodules are nearly identical with only different
cat and mod variables. pinentry has some additional inputs. This results
in a lot of repeated code that looks nearly identical to stumpwm-cpu.

Another concern I had was for ~/.stumpwmrc, including sbcl-bundle-systems
(which contains symlinks to the compiled code) is necessary for
stumpwm-pinentry to work correctly. The other plugins can just use the
stumpwm-contrib directory I created.

;; (set-module-dir "~/.guix-profile/share/common-lisp/stumpwm-contrib")
(set-module-dir "~/.guix-profile/share/common-lisp/sbcl-bundle-systems")

Documentation (org-mode files) can be found in the stumpwm-contrib
directory.

Here is the general directory structure:
********************************************************************************
/home/user/.guix-profile/share/common-lisp:
 .
 ..
 sbcl-bundle-systems
 stumpwm-contrib

/home/user/.guix-profile/share/common-lisp/sbcl-bundle-systems:
 .
 ..
 battery-portable.asd -> /gnu/store/...-stumpwm-battery-portable-0.0.1-1.bd47cec/share/common-lisp/sbcl-bundle-systems/battery-portable.asd
 cpu.asd -> /gnu/store/...-stumpwm-cpu-0.0.1-1.bd47cec/share/common-lisp/sbcl-bundle-systems/cpu.asd
 mem.asd -> /gnu/store/...-stumpwm-mem-0.0.1-1.bd47cec/share/common-lisp/sbcl-bundle-systems/mem.asd
 pinentry.asd -> /gnu/store/...-stumpwm-pinentry-0.0.1-1.bd47cec/share/common-lisp/sbcl-bundle-systems/pinentry.asd
 swm-gaps.asd -> /gnu/store/...-stumpwm-gaps-0.0.1-1.bd47cec/share/common-lisp/sbcl-bundle-systems/swm-gaps.asd
 winner-mode.asd -> /gnu/store/...-stumpwm-winner-mode-0.0.1-1.bd47cec/share/common-lisp/sbcl-bundle-systems/winner-mode.asd

/home/user/.guix-profile/share/common-lisp/stumpwm-contrib:
 .
 ..
 battery-portable -> /gnu/store/...-stumpwm-battery-portable-0.0.1-1.bd47cec/share/common-lisp/stumpwm-contrib/battery-portable
 cpu -> /gnu/store/...-stumpwm-cpu-0.0.1-1.bd47cec/share/common-lisp/stumpwm-contrib/cpu
 mem -> /gnu/store/...-stumpwm-mem-0.0.1-1.bd47cec/share/common-lisp/stumpwm-contrib/mem
 pinentry -> /gnu/store/...-stumpwm-pinentry-0.0.1-1.bd47cec/share/common-lisp/stumpwm-contrib/pinentry
 swm-gaps -> /gnu/store/...-stumpwm-gaps-0.0.1-1.bd47cec/share/common-lisp/stumpwm-contrib/swm-gaps
 winner-mode -> /gnu/store/...-stumpwm-winner-mode-0.0.1-1.bd47cec/share/common-lisp/stumpwm-contrib/winner-mode

/home/user/.guix-profile/share/common-lisp/stumpwm-contrib/cpu:
 .
 ..
 cpu.asd
 cpu.lisp
 package.lisp
 README.org
********************************************************************************

Summary of questions:
1. Should the entire repository be bundled together instead of breaking
it into individual modules?
2. Should asdf-build-system/source be used instead of sbcl?  I had initially
copied the entire repository with all the source code, and it still worked.
3. Is there a way to by more DRY?
4. Should the stumpwm-contrib directory be named sbcl-sources (can't
recall the default directory of asdf-build-system/source)?




Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 15 Dec 2018 02:09:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 14 21:09:46 2018
Received: from localhost ([127.0.0.1]:48778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gXzOk-0002uq-Jr
	for submit <at> debbugs.gnu.org; Fri, 14 Dec 2018 21:09:46 -0500
Received: from mail-lf1-f65.google.com ([209.85.167.65]:44894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <namluunguyen@HIDDEN>) id 1gXzOj-0002uS-9e
 for 33753 <at> debbugs.gnu.org; Fri, 14 Dec 2018 21:09:45 -0500
Received: by mail-lf1-f65.google.com with SMTP id z13so5622506lfe.11
 for <33753 <at> debbugs.gnu.org>; Fri, 14 Dec 2018 18:09:45 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Lv6RFyP2gMiy0SLDVJEL9ruSjVoC8XjquJMy1B/Lwb0=;
 b=A19vA6A+tPoY4YrGjcUAv32gPpKNPEcIYNn1EauujTty4Jmqd2roORZ/FTrYXiYtU8
 xXzLt+voVrlXoDO8/yEKQPSQq4OmkhkfzUdsMSIzH+njchMM3BLA5mSHSwNgwBeNkINK
 3rzVsVvg3IYiziizMm+lkrmGRNXcTmU8e0Q6Kz4anpQAsHBXxjNccPkLA4IpguuZJSSr
 tlDDT6Z0Q1v96yBrI8iWNJ+AAE304QtBGURuGPGfZrXrAuWkGY3zn6CeJJOCSsSStBM3
 4rcALXZ7c/9IzTLWslL2TiwWKX0r+FQauSZB/CdES7qZb9vIit4r74IaybDebx1AKhLN
 DDJQ==
X-Gm-Message-State: AA+aEWbmB6Y+BQ5AuBzOUDOwmTGyQ5CsIgvo5kWuVhWJbW0a0SEMSk0p
 O72oUNkDU2YPbf+eu3TMGU17nbIahJY=
X-Google-Smtp-Source: AFSGD/Vl5OZM83TQLyzUsxzkFGz+79osLlU7LNRcaEycXoyLgX6CDz2DLulc2CDsF+FZv0MF4up9VA==
X-Received: by 2002:a19:5154:: with SMTP id f81mr3179506lfb.96.1544839779345; 
 Fri, 14 Dec 2018 18:09:39 -0800 (PST)
Received: from localhost.localdomain ([24.5.139.14])
 by smtp.googlemail.com with ESMTPSA id
 e13-v6sm1148850ljk.53.2018.12.14.18.09.37
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 14 Dec 2018 18:09:38 -0800 (PST)
From: Nam Nguyen <namn@HIDDEN>
To: 33753 <at> debbugs.gnu.org
Subject: [PATCH 3/3] gnu: emacs-stumpwm-mode: Use source and version of
 stumpwm-cpu.
Date: Fri, 14 Dec 2018 18:09:08 -0800
Message-Id: <20181215020908.2792-2-namn@HIDDEN>
X-Mailer: git-send-email 2.20.0
In-Reply-To: <20181215020908.2792-1-namn@HIDDEN>
References: <20181215020908.2792-1-namn@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 33753
Cc: Nam Nguyen <namn@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

* gnu/packages/emacs.scm (emacs-stumpwm-mode): Use source and version of stumpwm-cpu.
---
 gnu/packages/emacs.scm | 44 ++++++++++++++++--------------------------
 1 file changed, 17 insertions(+), 27 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index 358f32cab..07d2c2104 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -122,6 +122,7 @@
   #:use-module (gnu packages video)
   #:use-module (gnu packages haskell)
   #:use-module (gnu packages wordnet)
+  #:use-module (gnu packages lisp)
   #:use-module (guix utils)
   #:use-module (srfi srfi-1)
   #:use-module (ice-9 match))
@@ -10822,33 +10823,22 @@ bookmarks and history.")
       (license license:gpl3+))))
 
 (define-public emacs-stumpwm-mode
-  (let ((commit "8fbe071d2c6c040794060a354eb377218dc10b35")
-        (revision "1"))
-    (package
-      (name "emacs-stumpwm-mode")
-      (version (string-append "0.0.1-" revision "."
-                              (string-take commit 7)))
-      (source (origin
-                (method git-fetch)
-                (uri (git-reference
-                      (url "https://github.com/stumpwm/stumpwm-contrib.git")
-                      (commit commit)))
-                (file-name (string-append name "-" version "-checkout"))
-                (sha256
-                 (base32
-                  "1dfwsvz1c8w6j4jp0kzaz78ml3f5dp0a5pvf090kwpbpg176r7iq"))))
-      (build-system emacs-build-system)
-      (arguments
-       `(#:phases
-         (modify-phases %standard-phases
-           (add-after 'unpack 'chdir-elisp
-             ;; Elisp directory is not in root of the source.
-             (lambda _
-               (chdir "util/swm-emacs"))))))
-      (home-page "https://github.com/stumpwm/stumpwm-contrib")
-      (synopsis "Emacs minor-mode for Stumpwm")
-      (description "Emacs minor-mode for Stumpwm")
-      (license license:gpl3+))))
+  (package
+    (name "emacs-stumpwm-mode")
+    (version (package-version stumpwm-cpu))
+    (source (package-source stumpwm-cpu))
+    (build-system emacs-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'chdir-elisp
+           ;; Elisp directory is not in root of the source.
+           (lambda _
+             (chdir "util/swm-emacs"))))))
+    (home-page "https://github.com/stumpwm/stumpwm-contrib")
+    (synopsis "Emacs minor-mode for Stumpwm")
+    (description "Emacs minor-mode for Stumpwm")
+    (license license:gpl3+)))
 
 (define-public emacs-irfc
   (package
-- 
2.20.0





Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at 33753 <at> debbugs.gnu.org:


Received: (at 33753) by debbugs.gnu.org; 15 Dec 2018 02:09:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 14 21:09:43 2018
Received: from localhost ([127.0.0.1]:48775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gXzOh-0002ub-9l
	for submit <at> debbugs.gnu.org; Fri, 14 Dec 2018 21:09:43 -0500
Received: from mail-lf1-f52.google.com ([209.85.167.52]:35233)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <namluunguyen@HIDDEN>) id 1gXzOe-0002uK-NS
 for 33753 <at> debbugs.gnu.org; Fri, 14 Dec 2018 21:09:41 -0500
Received: by mail-lf1-f52.google.com with SMTP id e26so5652234lfc.2
 for <33753 <at> debbugs.gnu.org>; Fri, 14 Dec 2018 18:09:40 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=KCPSolgaZGSnmFbWwk7+Vb/r3vi6KG8fh5MukNGB1QE=;
 b=MUe02aVKmaEheXHLlQ8IsgM7KegPS5360bym+zlPHwTMEmF0oXq40LDDrufRCUanZh
 ghh4wsNc8EP6Y18q59jsl28j1t19nigoMUm39ed08PrMTloz7b/XECDztGPq+0KdsisQ
 pxOmK+DX/zEZM1OjsE0RVRWq+oMbBktMm/qC8qESvYjusSngRaqMK6lJ2oQ4rUwf+6w3
 26CUaLbT5ezZAIrlqDj3yRO6d9ao/lLGRmKy9dEyy+So819MpBjCGgavGYz3kjlT7QRA
 +QX3ElX0W6Uz5TAl/jv/DfxYKFFz9riexLBYsOE0e04OB/RAjM+XkgOiCAIZccEHKlqJ
 W2ZA==
X-Gm-Message-State: AA+aEWYwv+LH6MjBabDhIpBm6CCeAYubEpWx3s5fSuKwMijTG+anfRIC
 BkNMIye2NO/2GVE1y318vmPS8fjxLCE=
X-Google-Smtp-Source: AFSGD/W9wxMdoI+uK19DiuWDLzK4yBuittlDMCYN3JhFRvvmMaHWoJmVcidyS3Ur+6HiEv0VjvapBA==
X-Received: by 2002:a19:982:: with SMTP id 124mr2874866lfj.138.1544839774534; 
 Fri, 14 Dec 2018 18:09:34 -0800 (PST)
Received: from localhost.localdomain ([24.5.139.14])
 by smtp.googlemail.com with ESMTPSA id
 e13-v6sm1148850ljk.53.2018.12.14.18.09.33
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 14 Dec 2018 18:09:34 -0800 (PST)
From: Nam Nguyen <namn@HIDDEN>
To: 33753 <at> debbugs.gnu.org
Subject: [PATCH 2/3] gnu: Add stumpwm-cpu.
Date: Fri, 14 Dec 2018 18:09:07 -0800
Message-Id: <20181215020908.2792-1-namn@HIDDEN>
X-Mailer: git-send-email 2.20.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 33753
Cc: Nam Nguyen <namn@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

* gnu/packages/lisp.scm (stumpwm-cpu): New variable.
---
 gnu/packages/lisp.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index b9e6c0e42..308159982 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -1027,6 +1027,32 @@ productive, customizable lisp based systems.")
 code.")
       (license (list license:gpl2+ license:gpl3+ license:bsd-2)))))
 
+(define-public stumpwm-cpu
+  (package (inherit stumpwm-contrib)
+    (name "stumpwm-cpu")
+    (arguments
+     (let ((cat "modeline")
+           (mod "cpu"))
+       (substitute-keyword-arguments (package-arguments stumpwm-contrib)
+         ((#:asd-file _ "") (string-append cat "/" mod "/" mod ".asd"))
+         ((#:asd-system-name _ #f) mod)
+         ((#:phases phases)
+          `(modify-phases ,phases
+             (add-before 'delete-plugins 'copy-plugin-source
+               (lambda* (#:key outputs #:allow-other-keys)
+                 (let* ((out (assoc-ref outputs "out"))
+                        (clisp (string-append out "/share/common-lisp"))
+                        (source (string-append clisp "/sbcl-source/"
+                                               ,mod "/" ,cat "/" ,mod))
+                        (dest (string-append clisp "/stumpwm-contrib/"
+                                             ,mod)))
+                   (mkdir-p dest)
+                   (copy-recursively source dest))
+                 #t)))))))
+    (synopsis "Add CPU info to the StumpWM modeline")
+    (description "Add CPU info to the StumpWM modeline.")
+    (license license:gpl3+)))
+
 ;; The slynk that users expect to install includes all of slynk's contrib
 ;; modules.  Therefore, we build the base module and all contribs first; then
 ;; we expose the union of these as `sbcl-slynk'.  The following variable
-- 
2.20.0





Information forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Dec 2018 02:06:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 14 21:06:41 2018
Received: from localhost ([127.0.0.1]:48762 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gXzLk-0002pA-RS
	for submit <at> debbugs.gnu.org; Fri, 14 Dec 2018 21:06:41 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <namluunguyen@HIDDEN>) id 1gXzLj-0002ot-Oo
 for submit <at> debbugs.gnu.org; Fri, 14 Dec 2018 21:06:40 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <namluunguyen@HIDDEN>) id 1gXzLd-0004Gk-PA
 for submit <at> debbugs.gnu.org; Fri, 14 Dec 2018 21:06:34 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:48084)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <namluunguyen@HIDDEN>)
 id 1gXzLd-0004GY-KX
 for submit <at> debbugs.gnu.org; Fri, 14 Dec 2018 21:06:33 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57892)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <namluunguyen@HIDDEN>) id 1gXzLc-0005Ga-Je
 for guix-patches@HIDDEN; Fri, 14 Dec 2018 21:06:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <namluunguyen@HIDDEN>) id 1gXzLZ-0004DO-E6
 for guix-patches@HIDDEN; Fri, 14 Dec 2018 21:06:32 -0500
Received: from mail-lj1-f195.google.com ([209.85.208.195]:45029)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <namluunguyen@HIDDEN>)
 id 1gXzLZ-0004CY-6R
 for guix-patches@HIDDEN; Fri, 14 Dec 2018 21:06:29 -0500
Received: by mail-lj1-f195.google.com with SMTP id k19-v6so6448789lji.11
 for <guix-patches@HIDDEN>; Fri, 14 Dec 2018 18:06:28 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=MAWZ2Q8l8XC0oH91iemrdyhsqAE91r9l6BTkUf/3Ed4=;
 b=VztKDC4Zjme7a6nn+2OBgZSU6asyaEWsXG2zvYdApfgKwqxITXDUHms88v/TDFlcgO
 USR1DCNUKNfT5HP1v9umM9XhlG1vjYr9DOPmXEU2qZreglDrRZgailsbVVTm8lDwiYX3
 vZ0jG7+rRhMcmMPjFdJb4E3lYMB0stMhxDmdFfyq945fnEgSJws3jLkDomNg7OdsRYhJ
 FPQT7ndEtkCDwgKhA+t4sgKFyTj8zxgW2V2wPJW2d2CjcMV+QrT16g6lPREVaCGlh0pD
 WXQun+XXl7o05Nxym6cVkuoiZtk975RlppvByIgtsnwXGBU3xKW6Er9Khi1HL9KuC9mz
 FqHA==
X-Gm-Message-State: AA+aEWaRAYkpIaVGITBcCQk++uNw4C17gqMH5yZJ7jVyZV/dD0SwX7FT
 R7D/rlo6048ep0r/kzr5Qk14VzmX2Os=
X-Google-Smtp-Source: AFSGD/W5l6y0tFHtSBNz4jQCbV7skgHOD6z7VLpcPfiXTaabwuHR6GjN93h6hkVvcY7iwobVny83MA==
X-Received: by 2002:a2e:2281:: with SMTP id
 i123-v6mr2662021lji.154.1544839587364; 
 Fri, 14 Dec 2018 18:06:27 -0800 (PST)
Received: from localhost.localdomain ([24.5.139.14])
 by smtp.googlemail.com with ESMTPSA id q6sm1187399lfh.52.2018.12.14.18.06.25
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 14 Dec 2018 18:06:26 -0800 (PST)
From: Nam Nguyen <namn@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 1/3] gnu: Add stumpwm-contrib.
Date: Fri, 14 Dec 2018 18:06:00 -0800
Message-Id: <20181215020600.2713-1-namn@HIDDEN>
X-Mailer: git-send-email 2.20.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: submit
Cc: Nam Nguyen <namn@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.9 (----)

* gnu/packages/lisp.scm (stumpwm-contrib): New variable.
---
 gnu/packages/lisp.scm | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index d1c0a2ef3..b9e6c0e42 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -12,6 +12,7 @@
 ;;; Copyright © 2018 Alex Vong <alexvong1995@HIDDEN>
 ;;; Copyright © 2018 Pierre Neidhardt <mail@HIDDEN>
 ;;; Copyright © 2018 Pierre Langlois <pierre.langlois@HIDDEN>
+;;; Copyright © 2018 Nam Nguyen <namn@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -991,6 +992,41 @@ productive, customizable lisp based systems.")
     (inherit (sbcl-package->cl-source-package stumpwm))
     (name "cl-stumpwm")))
 
+(define stumpwm-contrib
+  (let ((commit "bd47cec14f7299711ac29468d2e1364d38a81bee")
+        (revision "1"))
+    (package
+      (name "stumpwm-contrib")
+      (version (git-version "0.0.1" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/stumpwm/stumpwm-contrib.git")
+               (commit commit)))
+         (file-name (string-append name "-" version "-checkout"))
+         (sha256
+          (base32 "0kh9vpmxssjvxgvl6ihpn0qh4l660n64iq80ivhagdvr8s045ddj"))))
+      (inputs
+       `(("stumpwm" ,stumpwm "lib")))
+      (build-system asdf-build-system/sbcl)
+      (arguments
+       '(#:phases
+         ;; Make stumpwm-contrib more modular.  Child modules must copy
+         ;; their source to $(out)/share/common-lisp/stumpwm-contrib.
+         (modify-phases %standard-phases
+           (add-after 'check 'delete-plugins
+             (lambda* (#:key outputs #:allow-other-keys)
+               (delete-file-recursively
+                (string-append (assoc-ref outputs "out")
+                               "/share/common-lisp/sbcl-source"))
+               #t)))))
+      (home-page "https://github.com/stumpwm/stumpwm-contrib")
+      (synopsis "Collection of StumpWM modules")
+      (description "Modules are a way to extend StumpWM using Lisp
+code.")
+      (license (list license:gpl2+ license:gpl3+ license:bsd-2)))))
+
 ;; The slynk that users expect to install includes all of slynk's contrib
 ;; modules.  Therefore, we build the base module and all contribs first; then
 ;; we expose the union of these as `sbcl-slynk'.  The following variable
-- 
2.20.0





Acknowledgement sent to Nam Nguyen <namn@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#33753; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.